// import custom theme
@import 'bootstrap_theme';

// import full bootstrap framework
@import "~bootstrap/scss/bootstrap.scss";

// Import Piveau modules
@import "../../node_modules/@piveau/piveau-hub-ui-modules/dist/scss/main.scss";

.distribution-dropdown-download-one-url {
  margin-top: -0.35rem;
  text-align: left;
}

// .distribution-action div.dropdownMenu span.justify-content-end { // Hide download as option in ditribution actions
//   display: none !important;
// }

//body {
//  -ms-overflow-style: none; /* for Internet Explorer, Edge */
//  scrollbar-width: none; /* for Firefox */
//  overflow-y: scroll;
//}
//
//body::-webkit-scrollbar {
//  display: none; /* for Chrome, Safari, and Opera */
//}
#erdpTextbox {
  a {
    color: #0033eb !important;
  }
}

.ecl-breadcrumb__icon{
  fill: #0E47CB !important;
}
.modal{
  overflow: unset !important;
}
.circle {
  width: 40px;
  height: 40px;
  margin: 0 auto;
  padding: 20px 0;
  font-size: 12px;
  line-height: 1px;
  border-radius: 50%;
  background-color: #595959;

  &[type="HTML"] {
    background-color: #285C76;
  }

  &[type="JSON"] {
    background-color: var(--dark-orange);
  }

  &[type="XML"] {
    background-color: #8F4300;
  }

  &[type="TXT"] {
    background-color: #2B5E73;
  }

  &[type="CSV"] {
    background-color: var(--badge-green);
  }

  &[type="XLS"],
  &[type="Excel XLSX"],
  &[type="Excel XLS"],
  &[type="xlsx"] {
    background-color: #1A6537;
  }

  &[type="ZIP"] {
    background-color: #252525;
  }

  &[type="API"] {
    background-color: #923560;
  }

  &[type="PDF"] {
    background-color: #B30519;
  }

  &[type="SHP"] {
    background-color: var(--badge-black);
  }

  &[type="RDF"],
  &[type="NQUAD"],
  &[type="NTRIPLES"],
  &[type="TURTLE"] {
    background-color: #0b4498;
  }
}

.distribution-format .circle{
  border-radius: .25rem !important;
}

.tag-color.rounded-pill{
  background-color: #515560 !important;
  color: #fff;
}

#deu-header .form-control.search-input{
  border-color: #515560;
}

#deu-header .btn.search-button{
  background-color: #0e47cb;
  color: #fff !important;
}

#deu-header .btn.search-button:hover{

  color: #0e47cb !important;
}

.dsd-title-tag{
  border-radius: .25rem;
}

#myTab {
  background: #f3f6fc;
  border-radius: 4px;
}

#datasetFacets .value-display.list-group-item, #datasetFacets .ecl-select{
  border-radius: 4px !important;
}



#datasetFacets .ecl-select__container{
  border-radius:4px !important;
}

.ecl-select{
  border-radius:4px !important;
}


.value-display .ecl-select__icon{
  background-color: #0E47CB;
}

#btnGroupDrop2.value-display .ecl-select__icon{
  background-color: #fff;
}

.ds-input.ec-ds-search-btn{
  background-color: #0E47CB;
}

.filters-group .ec-ds-search, .filters-group.ds .ec-ds-search-btn{
  border-radius: 4px 0 0 4px !important;
}

.filters-group.ds .ec-ds-search-btn{
  border-radius: 0 4px 4px 0 !important;
}

.filters-group .ec-ds-search-btn{
  border-radius: 0 4px 4px 0 !important;
}

#btnGroupDrop1{
  border-radius: 4px;
}

.btn-group.items-per-page-dropdown{
  border-radius: 4px 0 4px 4px;
}

.items-per-page-icon.ecl-select__icon.text-white{
  border-radius: 0 4px 4px 0;
}

.items-per-page :nth-child(1){
  border-radius: 4px;
}

.catalog-facets .value-display{
  border-radius: 4px !important;
}

.facet-container .value-display{
  border-radius: 4px;
}

.more-button{
  background-color: #0E47CB !important;
}

.dataset-info-box .card-title{
  color: #0E47CB !important;
}

.page-link{
  color: #0E47CB;
}

.pagination .page-item.active .page-link{
  border: 2px solid #000000;
  color: 2px solid #000000;
}

.items-per-page-dropdown .list-group-item{
  border: 1px solid #515560;
}

.items-per-page .ecl-select__icon{
  border-radius: 0;
  border-radius: 0px 1px 1px 0;
}

.distributions-list-top{
  background-color: #f3f6fc !important;
  border-bottom: 2px solid #0e47cb;
}

.distribution-details > div h3{
  color: #0e47cb !important;
}

.dsd-link-feed a, .dsd-link-cite a, .dsd-link-linked-data a{
  text-decoration: underline !important;
}

.distribution-expanded-content{
  a{
    color: #0E47CB;
  }
}

ul.menu hr {
  display: none;
}

.dsd-nav-cat {
  display: none !important;
}

.dsd-item {
  @extend .col-12, .col-lg-11, .offset-lg-1;
}

.dsd-feature {
  @extend .d-flex, .flex-wrap, .mt-5;
}

.dsd-feature-title {
  font-size: 2rem;
  line-height: 1.2;
  margin-bottom: 0.5rem;
}

.dsd-properties-list a{
   color: #0E47CB;
}

//.dsd-properties .show-more {
//  display: none;
//}
@media screen and (max-width: 767.5px) {

  .dataset-info-box-body {
    padding: 0;
  }

  .ecl-select__icon-shape {
    fill: #0b4498 !important;
  }

  .ecl-select__icon {

    background-color: #fff !important;
  }

  .page-title {
    color: var(--primary) !important;
  }
}

.mobile-header-top-text {
  color: #0e47cb !important;
}

@media screen and (max-width: 991px) {

  // less than lg
  .dsd-nav-button button {
    min-width: 200px !important;
    margin-bottom: 8px !important;
  }

  .dsd-features {
    .row {

      margin-left: 0;
      margin-right: 0;
    }
  }
}

.mt-4 {
  margin-top: 30px !important;
}

.mb-4 {
  margin-bottom: 30px !important;
}

#navbar-toggle {
  margin-bottom: 0 !important;
}


.dpi {
  tr {
    display: flex;
  }


}


.actions-container{
  order: 4;
}

// Stepper Customizing -------------
.form-container {
  margin-top: 0 !important;
}

#stepper,
#subStepper {
  .step-progress__step {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 70%;
    width: 20%;
    display: flex;
    align-items: center;
    z-index: 1;

    span {
      color: grey;
      font-size: 18px;
      display: none;
    }

    div {
      padding: 1rem;
      height: 100%;
      display: flex;
      align-items: center;
      color: white;
      font-weight: 300;
    }

    .step-progress__step-label {

      // background: lightgrey;
      color: lightslategray;

      border-radius: 5px;
      transition: all 300ms ease-in-out;
      border: 1px solid lightgray;
      font-size: 14px;
      display: flex;
      align-items: center;
      justify-content: center;
      margin: 0 10px;
    }

    .step-progress__step-label:hover {
      box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12) !important;
      color: black;
      transform: scale(1.02);
    }

  }

  .step-progress__step--active {

    z-index: 7 !important;

    span {
      color: black;
    }

    div {
      background: white;
    }

    .step-progress__step-label {
      // background: rgb(236, 236, 236);
      background-position: 50% 0%;
      box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12) !important;
      transform: scale(1.1);
      z-index: 8;
      font-size: 16px;
    }


    .step-progress__step-label:hover {
      transform: scale(1.1);
      background: rgb(246, 246, 246);
    }
  }

  .step-progress__step--valid {
    div {
      color: lightgray;

    }

    .step-progress__step-label {
      background-size: 50px 50px !important;
      background-position: 50% 0%;
      // border: 2px solid rgb(180, 255, 180);
      background: rgb(218, 255, 218);
      color: lightslategrey;


    }

    .step-progress__step-label:hover {
      color: black;

    }
  }

  .step-progress__step--active .step-progress__step-label {
    color: rgb(31, 31, 31);
  }

  .step-progress__wrapper-after {
    // display: none;
    background-color: rgb(218, 255, 218) !important;
    height: 4px !important;
    z-index: 0;
    margin: 0 20px;
    width: 80%;
  }

  .step-progress__step-icon {
    display: none !important;
  }

  .step-progress__bar {
    margin: 0;
    height: 5rem;
    border-top: 1px solid lightslategray;

  }

  .step-progress__step-label {
    background: white;
    position: unset;
    transform: unset;
    flex-grow: 1;
  }

  .step-progress__wrapper-before {
    // display: none !important;
    height: 4px !important;
    z-index: 0;
    margin: 0 20px;
    width: 80%;
  }

  #stepper .step-progress__step::after {
    display: none !important;
  }
}

.step-progress__wrapper {
  width: 100% !important;
}

.step-progress__step:after {
  display: none !important;

}

#stepper .step-progress__step {
  border: none
}

#subStepperBox {
  width: 80%;
  margin: auto;
  border-top: 1px solid lightgray;
  padding: 0;
}

#subStepperBox .step-progress__step-label {
  transform: scale(0.85) !important;
}

#subStepperBox .step-progress__step-label:hover {
  transform: scale(0.88) !important;
}

#subStepperBox .step-progress__step--active .step-progress__step-label {
  transform: scale(0.88) !important;
  background-color: white !important;

}

#subStepperBox {
  .step-progress__step-label:active {
    transform: scale(0.90) !important;
  }
}

#subStepperBox {
  .step-progress__step--active {
    .step-progress__step-label:hover {
      background-color: rgb(246, 246, 246) !important;
    }
  }
}

@media screen and (max-width: 997px) {
  .visualise-btn {
    text-align: left  ;
    padding-left: 12px !important;
  }
}
//input, select, .value-display {
//  box-shadow: inset 0 2px 4px rgba(9,49,142,.08),inset 0 0 10px rgba(9,49,142,.04),inset 0 4px 5px rgba(9,49,142,.04),inset 0 -4px 4px rgba(9,49,142,.04) !important;
//}


// import empty theme after styles are loaded
@import "empty_theme";
@import "datasets_catalogs";
